## Name

mkdhparams — Create new DH parameters for the Courier Mail Server

## Synopsis

`/usr/sbin/mkdhparams`

## DESCRIPTION

This script is intended to be executed from a cron job, monthly. If the file `/etc/courier/dhparams.pem` is older than 25 days, the script creates a new file. This file contains pregenerated DH parameters for the Courier Mail Server.

The `DH_BITS` environment variable, if set controls the length of the generated DH parameters. It gets passed, verbatim, to either the dhparam OpenSSL command, or the `--sec-param` option to GnuTLS's certtool. The default value is 768 for OpenSSL, and “high” for GnuTLS.